CALIBRATE_LENS(1)

NAME
calibrate_lens - Lens calibration from straight lines

SYNOPSIS
calibrate_lens [options] <image1> <image2> ...

DESCRIPTION

OPTIONS

-p <filename>
    Input Hugin PTO file.

-j <filename>
    Input file containing line data.

-d <int>
    Maximum dimension for re-sized image prior to processing. Default 1600

-t <float>
    Edge detector threshold. Default 4

-m <float>
    Minimum line length as a fraction of longest dimension. Default 0.1

-y <float>
    Corner threshold. Default 150

-f <float>
    Focal length (mm). Read from EXIF data.

-c <float>
    Crop factor. Read/calculated from EXIF data.

-s <float>
    Shortest dimension of sensor (mm), used to calculate crop factor.

-l <int>
    Lens model:

    1 = Rectilinear (default)
    2 = Equal-area fisheye
    3 = Equal-angle fisheye
    4 = Stereographic fisheye
    5 = Orthographic fisheye
    6 = Generic fisheye
    7 = Universal
-z <0|1>
    Optimise image centre. Default 1

-v <0|1>
    Verbose. Default 0

-h  Print usage.

AUTHORS
Tim Nugent